import arcade

CELL = 25
HEIGHT = 600
WIDTH = 900

class Window(arcade.Window):
  def __init__(self):
    super().__init__(WIDTH, HEIGHT, "OGS Memory")
    #arcade.set_background_color(arcade.color.GRAY)
    arcade.set_background_color(arcade.color.WHITE)
    self.all_sprites = arcade.SpriteList()

#    # Animated begin button.
#    player = arcade.AnimatedTimeBasedSprite()
#    for i in range(2):
#      tex = arcade.load_texture("res/buttons_begin.png", x = i*350, y = 0, width = 350, height = 100)
#      player.append_texture(tex)
#      #player.color = arcade.color.BLUE
#      a = arcade.sprite.AnimationKeyframe(i, 700, tex)
#      player.frames.append(a)
#      player.center_x = 300
#      player.center_y = 200
#    self.all_sprites.append(player)

    positions = [
      [9, 1],
      [14, 1],
      [19, 1],
      [24, 1],

      [9, 7],
      [14, 7],
      [19, 7],
      [24, 7],

      [9, 13],
      [14, 13],
      [19, 13],
      [24, 13],

      [9, 19],
      [14, 19],
      [19, 19],
      [24, 19],
    ]

    add_tiles(self.all_sprites, positions)

  def on_draw(self):
    arcade.start_render()
    #arcade.draw_circle_filled(400, 300, 15, arcade.color.BLUE)
    self.all_sprites.draw()

  def on_update(self, delta):
    self.all_sprites.update_animation()

def add_tiles(sprites, positions):
    for p in positions:
      tile = arcade.AnimatedTimeBasedSprite()
      for i in range(2):
        tex = arcade.load_texture("res/tiles_0.png", x = i*75, y = 0, width = 75, height = 100)
        tile.append_texture(tex)
        a = arcade.sprite.AnimationKeyframe(i, 700, tex)
        tile.frames.append(a)
        tile.center_x = CELL * 2 + p[0] * CELL
        tile.center_y = HEIGHT - CELL * 2 - p[1] * CELL
      sprites.append(tile)
